Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.irc
Interface InfoListener

All Known Implementing Classes:
  MessagePanel

public abstract interface InfoListener

Listens for messages. The classes that implement this interface can format the information as they see fit (e.g. plain text or graphical).

Field Summary
`static int` | `ACTION`
`static int` | `ENTER`
`static int` | `ERROR`
`static int` | `EXIT`
`static int` | `FATAL`
`static int` | `MSG`
`static int` | `OBJIRCINFO`
`static int` | `OUTGOINGCOMMAND`
`static int` | `SERVERINFO`

Method Summary
`void` | `addAction(java.lang.String actor, java.lang.String msg)` add an action from this actor
`void` | `addEmphasisMsg(java.lang.String msg, int icontype)` as with addMsg, but with emphasis
`void` | `addMsg(java.lang.String msg, int icontype)` add a message with the specified icon
`void` | `addMsgEx(java.lang.String actor, java.lang.String msg, int icon)` add a message from an actor with the given icon
`void` | `addNotice(java.lang.String actor, java.lang.String msg)` add a notice from this actor
`void` | `addPrivMsg(java.lang.String actor, java.lang.String msg)` add a message from an actor
`void` | `onUserInput()` take any action necessary when the user has 'interacted' with the system (hint: set caret at end)

Field Detail

### SERVERINFO

    public static final int SERVERINFO

### OBJIRCINFO

    public static final int OBJIRCINFO

### MSG

    public static final int MSG

### ERROR

    public static final int ERROR

### FATAL

    public static final int FATAL

### OUTGOINGCOMMAND

    public static final int OUTGOINGCOMMAND

### ACTION

    public static final int ACTION

### ENTER

    public static final int ENTER

### EXIT

    public static final int EXIT

Method Detail

### addMsgEx

    public void addMsgEx(java.lang.String actor,
                         java.lang.String msg,
                         int icon)

  add a message from an actor with the given icon

### addPrivMsg

    public void addPrivMsg(java.lang.String actor,
                           java.lang.String msg)

  add a message from an actor

### addAction

    public void addAction(java.lang.String actor,
                          java.lang.String msg)

  add an action from this actor

### addNotice

    public void addNotice(java.lang.String actor,
                          java.lang.String msg)

  add a notice from this actor

### addMsg

    public void addMsg(java.lang.String msg,
                       int icontype)

  add a message with the specified icon

### addEmphasisMsg

    public void addEmphasisMsg(java.lang.String msg,
                               int icontype)

  as with addMsg, but with emphasis

### onUserInput

    public void onUserInput()

  take any action necessary when the user has 'interacted' with the system (hint: set caret at end)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD